Bug 1435973 - [RFE] - Show actual date and not time since report in Config Report
Summary: [RFE] - Show actual date and not time since report in Config Report
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.2.8
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: 6.4.0
Assignee: Marek Hulan
QA Contact: Perry Gagne
URL:
Whiteboard:
: 1254122 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-26 11:17 UTC by Simon Reber
Modified: 2019-11-05 23:04 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
screen shot of reports page with mouseover (89.93 KB, image/png)
2018-08-01 20:11 UTC, Perry Gagne
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:07 UTC
Foreman Issue Tracker 19047 None None None 2018-01-12 09:38:54 UTC

Comment 1 Marek Hulan 2017-03-28 11:07:12 UTC
Created redmine issue http://projects.theforeman.org/issues/19047 from this bug

Comment 2 pm-sat@redhat.com 2017-03-28 12:07:18 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 3 pm-sat@redhat.com 2017-03-28 12:07:23 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 4 Shimon Shtein 2017-09-06 07:20:07 UTC
*** Bug 1254122 has been marked as a duplicate of this bug. ***

Comment 5 pm-sat@redhat.com 2017-09-14 12:07:23 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19047 has been resolved.

Comment 6 Marek Hulan 2017-09-14 13:58:53 UTC
The upstream discussion changed the direction a bit. It seems both date formats are valuable so we changed it in a way that actual date is displayed while mouse cursor is hovering. Simon, please check with the customer whether this is acceptable.

Comment 7 Simon Reber 2017-09-14 21:50:28 UTC
(In reply to Marek Hulan from comment #6)
> The upstream discussion changed the direction a bit. It seems both date
> formats are valuable so we changed it in a way that actual date is displayed
> while mouse cursor is hovering. Simon, please check with the customer
> whether this is acceptable.
I'll check and provide feedback once I have discussed this with the customer.

Comment 9 Ivan Necas 2017-09-15 06:13:02 UTC
I first unassigned the issue, as we have not change the relative vs. absolute, on the other hand, as we're now showing the absolute time in pop-up, it seems like it would actually solve the unnecessary clicking issue, so I think it might be actually ok to mark this as fixed. What do you think?

Comment 10 Marek Hulan 2017-09-15 08:45:32 UTC
That was exactly my thinking but I kept it linked. We'll see what we'll hear from the reporter (see comment 7)

Comment 12 Ivan Necas 2018-01-12 09:38:54 UTC
Given we didn't get any additional inputs, I believe the original issue is addressing the customer concers about the current state and setting the bz to post: it doesn't change the default way of formatting the dates, but makes it much easier to get to the other format.

Comment 13 Perry Gagne 2018-08-01 20:11:56 UTC
Created attachment 1472199 [details]
screen shot of reports page with mouseover

Comment 16 errata-xmlrpc 2018-10-16 15:27:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.